# Interface BasemapExtensionFactory

Creates new instances of mapping/BasemapExtension!BasemapExtension.

interface BasemapExtensionFactory {
create(properties?: BasemapExtensionProperties): BasemapExtension<BasemapExtensionProperties>;
}

#####
Index

### Methods

create

##
Methods

### create

- create(properties?): BasemapExtension<BasemapExtensionProperties>

- Creates a mapping/BasemapExtension!BasemapExtension from the given properties.

  #### Parameters

  - `Optional` properties: BasemapExtensionProperties

    The BasemapExtension properties.

  #### Returns BasemapExtension<BasemapExtensionProperties>